logger.h File Reference

This header defines the Logger class and the logging macros. More...

`#include <log4cplus/config.hxx>`
`#include <log4cplus/loglevel.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/spi/appenderattachable.h>`
`#include <log4cplus/spi/loggerfactory.h>`
`#include <vector>`
Include dependency graph for logger.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::Logger
| This is the central class in the log4cplus package. More...
class | log4cplus::DefaultLoggerFactory
| This class is used to create the default implementation of the Logger class. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::spi

## Typedefs

typedef std::vector< Logger > | log4cplus::LoggerList
| This is a list of `Loggers`.

## Detailed Description

This header defines the Logger class and the logging macros.

Definition in file logger.h.